if [ -f "$HOME/.menu/enable_mdk_customization" -o \( ! -f "/etc/menu/disable_mdk_customization" -a ! -f "$HOME/.menu/disable_mdk_customization" \) ]; then
  if [ -z "$XDG_CONFIG_DIRS" ]; then
	export XDG_CONFIG_DIRS="/var/lib/menu-xdg"
  else 
	echo $XDG_CONFIG_DIRS | grep -q ^/var/lib/menu-xdg
	if [ "$?" != "0" ]; then
		export XDG_CONFIG_DIRS="/var/lib/menu-xdg:$XDG_CONFIG_DIRS"
	fi
  fi
  if [ -f "$HOME/.menu/enable_simplified" -o \( ! -f "/etc/menu/disable_mdk_customization" -a -f "/etc/menu/enable_simplified" \) ]; then
    if [ -z "$XDG_DATA_DIRS" ]; then
 	export XDG_DATA_DIRS="/var/lib/menu-xdg/simplified:/usr/share"
    else
        echo $XDG_DATA_DIRS | grep -q ^/var/lib/menu-xdg/simplified:/usr/share
	if [ "$?" != "0" ]; then
  	  export XDG_DATA_DIRS="/var/lib/menu-xdg/simplified:/usr/share:$XDG_DATA_DIRS"
	fi
    fi
   else
    if [ -z "$XDG_DATA_DIRS" ]; then

 	export XDG_DATA_DIRS="/var/lib/menu-xdg:/usr/share"
    else
	echo $XDG_DATA_DIRS | grep -q ^/var/lib/menu-xdg:/usr/share
        if [ "$?" != "0" ]; then
		export XDG_DATA_DIRS="/var/lib/menu-xdg:/usr/share:$XDG_DATA_DIRS"
	fi
    fi
  fi
fi
