if ( -f ${HOME}/.menu/enable_mdk_customization || ( ! -f /etc/menu/disable_mdk_customization && ! -f ${HOME}/.menu/disable_mdk_customization ) ) then
  if ( ! $?XDG_CONFIG_DIRS) then
	setenv XDG_CONFIG_DIRS "/var/lib/menu-xdg"
  else
	echo ${XDG_CONFIG_DIRS} | grep -q ^/var/lib/menu-xdg
	if ( ${status} ) then
		setenv XDG_CONFIG_DIRS "/var/lib/menu-xdg:${XDG_CONFIG_DIRS}"
	endif
  endif
 if ( -f ${HOME}/.menu/enable_simplified|| ( ! -f /etc/menu/disable_mdk_customization && -f /etc/menu/enable_simplified) ) then

  if ( ! $?XDG_DATA_DIRS) then
	setenv XDG_DATA_DIRS "/var/lib/menu-xdg/simplified:/usr/share"
  else
	echo $XDG_DATA_DIRS | grep -q ^/var/lib/menu-xdg/simplified:/usr/share
	if ( ${status} ) then
		setenv XDG_DATA_DIRS "/var/lib/menu-xdg/simplified:/usr/share:${XDG_DATA_DIRS}"
	endif
  endif
 else 
  if ( ! $?XDG_DATA_DIRS) then
	setenv XDG_DATA_DIRS "/var/lib/menu-xdg:/usr/share"
  else
	echo $XDG_DATA_DIRS | grep -q ^/var/lib/menu-xdg:/usr/share
	if ( ${status} ) then
		setenv XDG_DATA_DIRS "/var/lib/menu-xdg:/usr/share:${XDG_DATA_DIRS}"
	endif
  endif
endif
