#!/usr/bin/perl
##---------------------------------------------------------------
## Migrate kicker file to new mdk style menu
## Copyright: MandrakeSoft, licensed under the GPL v2.
## Original file from spec-helper/translate_menu.pl
##
## modified by Laurent Montel <lmontel@mandrakesoft.com>
## 
##---------------------------------------------------------------
use strict;
## use diagnostics;
use MDK::Common;

my $configfile = "$ENV{HOME}/.kde/share/config/kickerrc";

sub translate {
    my ($str) = @_;
	my $dest_file = "$ENV{HOME}/.local/share/applications/";
	$str =~ s!/var/lib/menu-xdg/applications/!$dest_file!g;
    return $str;
}

sub translateSimplified {
    my ($str) = @_;
    my $dest_file = "$ENV{HOME}/.local/share/simplified/applications/";
    $str =~ s!/var/lib/menu-xdg/applications/!$dest_file!g;
    return $str;
}

substInFile {
	$_ = translate($_) if /RecentAppsStat=/;
	$_ = translateSimplified($_) if /RecentAppsStat=/;
} $configfile;


# translate_menu.pl ends here
